@charset "utf-8";

/* ---------- 
editor-block
----------*/
.editor-block h2 {
    position: relative;
    font-size: clamp(24px, 1.71vw, calc(24px * var(--ratio)));
    font-weight: 500;
    margin-top: 80px;
    margin-bottom: 40px;
    padding: 18px 20px 18px 30px;
    background-color: var(--color-text);
    color: var(--color-text-sub);
    letter-spacing: 0.05em;
    line-height: 1.66;
    /* word-break: keep-all; */
}
.editor-block h2:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    background: var(--color-text-sub);
}
@media screen and (max-width: 700px) {
    .editor-block h2 {
        margin-top: 60px;
        margin-bottom: 30px;
        padding: 15px 20px 15px 27px;
        font-size: calc(20px / var(--fs-base) * 1rem);
        letter-spacing: 0;
        line-height: 1.5;
    }
    .editor-block h2:before {
        width: 7px;
        height: 7px;
    }
}


.editor-block h3 {
    position: relative;
    font-size: clamp(18px, 1.28vw, calc(18px * var(--ratio)));
    font-weight: 500;
    margin-top: 80px;
    margin-bottom: 40px;
    padding-bottom: 9px;
    padding-left: 30px;
    border-bottom: 1px solid var(--color-text);
    letter-spacing: 0.05em;
    line-height: 1.77;
    /* word-break: keep-all; */
}
.editor-block h3:before {
    content: "";
    position: absolute;
    top: 5%;
    left: 0;
    width: 10px;
    height: 95%;
    background: var(--color-text);
}
@media screen and (max-width: 700px) {
    .editor-block h3 {
        margin-top: 60px;
        margin-bottom: 15px;
        padding-bottom: 7px;
        padding-left: 27px;
        font-size: calc(17px / var(--fs-base) * 1rem);
        letter-spacing: 0;
        line-height: 1.64;
    }
    .editor-block h3:before {
        width: 7px;
    }
}


.editor-block h4 {
    position: relative;
    margin-bottom: 30px;
    padding-left: 20px;
    font-size: clamp(18px, 1.28vw, calc(18px * var(--ratio)));
    font-weight: 500;
    letter-spacing: 0.05em;
}
.editor-block h4:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 10px;
    height: 10px;
    transform: translateY(-50%);
    background-color: var(--color-link_009BDA);
}
@media screen and (max-width: 700px) {
    .editor-block h4 {
        margin-bottom: 20px;
        padding-left: 17px;
        font-size: calc(17px / var(--fs-base) * 1rem);
    }
    .editor-block h4:before {
        width: 7px;
        height: 7px;
    }
}


.editor-block h5 {
    font-size: 16px;
    font-size: 1rem;
    font-weight: bold;
}
.editor-block h5:not(:last-child) {
    margin-bottom: 5px;
}
@media screen and (max-width: 700px) {
    .editor-block h5 {
      font-size: 15px;
      font-size: 0.9375rem;
    }
    .editor-block h5:not(:first-child) {
      margin-top: 25px;
    }
}


.editor-block h6 {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 32px;
    margin-bottom: 20px;
    padding: 0 20px;
    border: 1px solid var(--color-text);
    border-radius: 16px;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 500;
    line-height: 2.375;
    letter-spacing: 0.05em;
    text-align: center;
}
@media screen and (max-width: 700px) {
    .editor-block h6 {
        height: 29px;
        font-size: calc(15px / var(--fs-base) * 1rem);
        letter-spacing: 0.03em;
    }
}


.editor-block p {
    margin-bottom: 30px;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    line-height: 2.125;
    letter-spacing: 0.05em;
}
@media screen and (max-width: 700px) {
    .editor-block p {
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: 2;
    }
}


.editor-block img {
    max-width: 100%;
    height: auto;
}


.editor-block a:not(.link-text) {
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    color: var(--color-link_009BDA);
    letter-spacing: 0.05em;
    background-image: linear-gradient(var(--color-link_009BDA), var(--color-link_009BDA));
    background-size: 0% 1px;
    background-position: left bottom;
    background-repeat: no-repeat;
    transition: background-size 0.3s ease-out;
    line-height: calc(34/16);
}
.editor-block a[target="_blank"]:not(.link-text) {
    display: inline;
    padding-right: 1.4em;
    margin-right: 0.5em;
    background-image:
        linear-gradient(var(--color-link_009BDA), var(--color-link_009BDA)),
        url(../../images/common/icon_external-link.svg);
    background-size: 0% 1px, 1em 1em;
    background-position: left bottom, right center;
}
.editor-block a[href$=".pdf"]:not(.link-text) {
    display: inline;
    padding-right: 1.4em;
    margin-right: 0.5em;
    background-image:
        linear-gradient(var(--color-link_009BDA), var(--color-link_009BDA)),
        url(../../images/common/icon-pdf.svg);
    background-size: 0% 1px, 1em 1em;
    background-position: left bottom, right center;
}

.editor-block h3 a:not(.link-text), 
.editor-block h4 a:not(.link-text) {
    font-size: clamp(18px, 1.28vw, calc(18px * var(--ratio)));
}

@media screen and (min-width: 701px) {
    .editor-block a:not(.link-text):hover {
        background-size: 100% 1px;
    }
    .editor-block a[target="_blank"]:not(.link-text):hover,
    .editor-block a[href$=".pdf"]:not(.link-text):hover {
        background-size: calc(100% - 1.4em) 1px, 1em 1em;
    }
}
@media screen and (max-width: 700px) {
    .editor-block a:not(.link-text) {
        background-size: 100% 1px;
        transition: none;
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(30/15);
    }
    .editor-block a[target="_blank"]:not(.link-text),
    .editor-block a[href$=".pdf"]:not(.link-text) {
        background-size: calc(100% - 1.4em) 1px, 1em 1em;
    }

    .editor-block h3 a:not(.link-text),
    .editor-block h4 a:not(.link-text) {
        font-size: calc(17px / var(--fs-base) * 1rem);
    }
}
/* 修正前
.editor-block a {
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    color: var(--color-link_009BDA);
    letter-spacing: 0.05em;
    line-height: calc(34/16);
    background-image: linear-gradient(var(--color-link_009BDA), var(--color-link_009BDA));
    background-size: 0% 1px;
    background-position: left bottom;
    background-repeat: no-repeat;
    transition: background-size 0.3s ease-out;

    position: relative;
    text-decoration: none;
}
.editor-block a[target="_blank"] {
    position: relative;
    margin-right: 25px;
}
.editor-block a[target="_blank"]:before {
    content: "";
    position: absolute;
    right: -20px;
    bottom: 2px;
    width: 14px;
    height: 14px;
    background: url(../../images/common/icon_external-link.svg) no-repeat;
    background-size: contain;
}
.editor-block .link-text[target="_blank"] {
    background-image: none;
    padding-right: 0;
}
@media screen and (min-width: 701px) {
    .editor-block a:hover{
        background-size: 100% 1px;
    } 
}
@media screen and (max-width: 700px) {
    .editor-block a {
        text-underline-offset: 3px;
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(30/15);
        background-size: 100% 1px;
    }
}
*/


.editor-block table {
    margin-bottom: 30px;
    border-collapse: collapse;
    width: 100%;
}
.editor-block table th,
.editor-block table td {
    padding: 20px;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 500;
    border: 1px solid var(--color-line);
    vertical-align: middle;
    line-height: 2.125;
    letter-spacing: 0.05em;
}
@media screen and (max-width: 700px) {
    .editor-block table th,
    .editor-block table td {
        padding: 10px;
        font-size: calc(12px / var(--fs-base) * 1rem);
        line-height: 1.5;
    }

    .editor-block table th a,
    .editor-block table td a,
    .editor-block table th a[target="_blank"]:not(.link-text),
    .editor-block table td a[target="_blank"]:not(.link-text) {
        font-size: calc(12px / var(--fs-base) * 1rem);
        line-height: 1.5;
    }
}


.editor-block ul:not(.list-dot) {
    list-style-type: none !important;
}
.editor-block ul:not(.list-dot) li {
    position: relative;
    margin-left: 20px;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    letter-spacing: 0.05em;
    line-height: calc(34 / 16);
}
.editor-block ul:not(.list-dot) li:before {
    position: absolute;
    content: "";
    width: 8px;
    height: 8px;
    background-color: var(--color-link_009BDA);
    border-radius: 50%;
    top: 0.85em;
    left: -20px;
}

/* 入れ子リスト設定*/
.editor-block ul:not(.list-dot) li > ul li::before {
    background-color: unset;
    border: 1px solid var(--color-link_009BDA);
}
.editor-block ul:not(.list-dot) li > ul li > ul li::before {
    content: "・";
    top: 0;
    border: unset;
    color: var(--color-link_009BDA);
}


.editor-block hr{
    color: var(--color-line);
    margin-bottom: 30px;
}


.editor-block ol{
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    line-height: calc(34/16);
    letter-spacing: 0.05em;
    padding-left: 1.5em;
    margin-bottom: 40px;
}
.editor-block ol li{
    list-style-type: decimal;
}


/* ---------- 
キャプション付きの画像設定
----------*/
.editor-block .wp-caption {
    display: table !important;
    max-width: 100%;
}
.editor-block .wp-caption img{
    margin-top: 0;
    margin-bottom: 0;
}
.editor-block .wp-caption-text{
    margin-top: 15px;
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 400;
    letter-spacing: 0.05em;
    line-height: calc(24/14);
    margin-bottom: 0;
}
@media screen and (max-width: 700px) {
    .editor-block .wp-caption-text{
        font-size: calc(14px / var(--fs-base) * 1rem);
    }
}


/* ---------- 
careers-single_採用ページ系の見出し設定
----------*/
.careers-page .editor-block h2{
    color: var(--color-corp);
    padding-right: 20px;
    background-color: var(--color-sub);
}
.careers-page .editor-block h2:before{
    background: var(--color-corp);
    height: 10px;
    width: 10px;
}
.careers-page .editor-block h3{
    color: var(--color-corp);
}
.careers-page .editor-block h3:before{
    background: var(--color-corp);
}


/* ---------- 
引用
----------*/
.editor-block blockquote{
    padding: 20px;
    background-color: var(--color-E1F8FE);
}

